## sugar-toolkit-0.88 0.88.1

=== debian/changelog ===
sugar-toolkit-0.88 (0.88.1-4) unstable; urgency=low

  * Shorten Vcs-Git stanza.
  * Use Python helper python2 (not pycentral). Closes: bug#617113.
    Stop build-depending on python-central.
  * Bump debhelper compatibility level to 8.
  * Use canonical hostname (anonscm.debian.org) in Vcs-* URIs.
  * Rewrite README.source emphasizing control.in file as *not* a
    show-stopper for contributions, and referring to
    CDBS+git-buildpackage wiki page for details.
  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.
  * Update package relations:
    + Simplify to drop fallback dependencies for python-rsvg and
      python-gconf: They are now available even in oldstable.
    + Relax to depend unversioned on python-gobject: Needed version
      satisfied even in oldstable.
    + Tighten build-dependency on cdbs: Needed for python helper.
    + Relax to build-depend unversioned on devscripts and debhelper:
      Needed versions satisfied even in oldstable.
    + Fix build-depend explicitly on python: Mandated by Python Policy.
  * Update copyright file:
    + Rewrite using file format 1.0.
    + Shorten (L)GPL comments, distinguish as such using
      pseudo-paragraphs, and fix refer to versioned license files.
  * Modernize long description, based on upstream wiki phrases.
  * Empty dependency_libs from .la file. See bug#633266.
  * Bump packaging license to GPL-3+, and extend copyrigt coverage for
    myself to include current year.
  * Bump standards-version to 3.9.4.
  * Stop tracking md5sum of upstream tarball.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Jun 2013 21:16:03 +0200

sugar-toolkit-0.88 (0.88.1-3) unstable; urgency=low

  * Ease building with git-buildpackage: Git-ignore quilt .pc dir, and
    add source local-options.
  * Bump Policy compliance to standards-version 3.9.1.
  * Append _DEFAULT to deprecated CDBS variables in rules file.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Oct 2010 14:45:46 +0200

sugar-toolkit-0.88 (0.88.1-2) unstable; urgency=low

  * Drop unused (and most likely non-working with quilt variant of
    source format 3.0) DEB_AUTOTOOLS_RECREATE routines in debian/rules.
  * Tighten watch file to track only 0.88 branch.
  * Branch off upstream 0.88 branch in git: Update Vcs-Browser stanza
    and git-buildpackage config.
  * Bump Policy compliance to standards-version to 3.9.0.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Jul 2010 10:11:56 +0200

sugar-toolkit-0.88 (0.88.1-1) unstable; urgency=low

  * New upstream maintenance release.
  * Improve copyright file:
    + Fix replace license section MIT with Expat and other-X.
    + Add comment on Expat variation.
    + Rename and tighten other-GAP-* sections.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Jun 2010 20:01:35 +0200

sugar-toolkit-0.88 (0.88.0-1) unstable; urgency=low

  * New upstream stable release.
  * Drop all local CDBS snippets: included with main cdbs package now.
  * Drop patchsys-quilt.mk snippet: superfluous with source format "3.0
    (quilt)".
  * Refresh patches with shortening quilt options --no-timestamps --no-
    index -pab.
  * Build-depend on python-dateutil.
  * Drop build-dependencies on quilt and patchutils.
  * Relax build-dependency on python-central and python-all-dev to be
    unversioned.
  * Tighten build-dependency on cdbs.
  * Disable patch 1001 (danish l10n): Upstream ships with alternative
    translation now (merging postponed till later).
  * Add git-buildpackage hint about use of bzip2-compressed tarballs.
  * Update copyright file:
    + Reformat to conform to draft DEP5 rev. 135.
    + Add GPL disclaimers.
    + Adjust years for debian/*.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 18:17:55 +0200

sugar-toolkit-0.88 (0.87.4-1) unstable; urgency=low

  * New upstream development release.
  * Update local cdbs snippets:
    + Update package-relations.mk: Cleanup and tighten dependencies.
      Improve whitespace cleanup. Rewrite and silence applying
      dependencies.
    + Let copyright-check.mk investigate top 99999 lines (not just 60 as
      default for licensecheck), and make it configurable with
      DEB_COPYRIGHT_CHECK_PARSELINES. Silence (GENERATED FILE) licensing
      notices. Group ownerships by sorted owner list (ignoring years).
    + Update upstream-tarball.mk to preserve bzip2 tarballs with source
      format 3.0 (quilt).
  * Use source format '3.0 "quilt"'.
  * Add DEP3 header to patches.
  * Bump Standards-Version to 3.8.4.
  * Cleanup double cdbs build-dependency.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Feb 2010 18:16:30 +0100

sugar-toolkit-0.88 (0.87.1-1) unstable; urgency=low

  * New upstream development release.
  * Update copyright years in debian/copyright.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Dec 2009 14:09:33 +0100

sugar-toolkit-0.88 (0.86.2-1) experimental; urgency=low

  * Switch packaging to branch 0.88.
  * Tighten python-gobject dependency to versions providing GIO binding.
  * Release for experimental, as not all parts of 0.88 branch are
    packaged yet.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 Nov 2009 21:28:12 +0100

sugar-toolkit-0.86 (0.86.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Oct 2009 23:39:55 +0200

sugar-toolkit-0.86 (0.86.1-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Oct 2009 14:46:51 +0200

sugar-toolkit-0.86 (0.86.0-1) unstable; urgency=low

  * New upstream stable release.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Sep 2009 16:03:17 +0200

sugar-toolkit-0.86 (0.85.8-1) unstable; urgency=low

  * New upstream development release.
  * Re-enable pristine-tar in gbp.conf.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Sep 2009 23:22:13 +0200

sugar-toolkit-0.86 (0.85.7-1) unstable; urgency=low

  * New upstream development release.
  * Fix double listing of ltmain.sh in debian/copyright.

