=== debian/control ===
Source: sugar-toolkit-0.88
Section: python
Priority: optional
Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: autotools-dev,
 devscripts,
 python,
 cdbs (>= 0.4.97~),
 python-all-dev,
 debhelper,
 dh-buildinfo,
 libglib2.0-dev,
 python-gtk2-dev,
 libsm-dev,
 libice-dev,
 libasound2-dev | libasound-dev,
 gettext,
 intltool,
 libxml-parser-perl,
 chrpath
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/git/collab-maint/sugar-toolkit
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sugar-toolkit.git;a=shortlog;h=refs/heads/master-0.88
Homepage: http://wiki.sugarlabs.org/go/Sugar

Package: python-sugar-toolkit-0.88
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${python:Provides}, ${cdbs:Provides}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Description: Sugar graphical shell - core widgets
 Sugar is a desktop environment. It is conceived as a platform upon
 which children learn with Sugar Activities. The platform provides
 mechanisms for collaboration, reflection, and exploration. Sugar
 Activities cover a broad range of applications: browsing, drawing,
 composing, writing, programming, etc.
 .
 This package contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
