=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2008, 2009, 2010, 2013 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for sugar-toolkit
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

DEB_BUILDDIR = build
include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/python-autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkgbase = python-sugar-toolkit
pkgbranch = 0.88
pkg = $(pkgbase)-$(pkgbranch)

DEB_UPSTREAM_PACKAGE = $(DEB_SOURCE_PACKAGE:%-$(pkgbranch)=%)
DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/glucose/$(DEB_UPSTREAM_PACKAGE)
DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2

DEB_AUTOMAKE_ARGS = --add-missing --copy

# Drop created dir if empty to please lintian
binary-post-install/$(pkg)::
	rmdir --ignore-fail-on-non-empty --parents $(DEB_DESTDIR)/usr/share/locale

# empty dependency_libs from .la file
binary-post-install/$(pkg)::
	find $(DEB_DESTDIR)/usr -type f -name '*.la' -execdir sed -i "/dependency_libs/ s/'.*'/''/" {} +

# Strip hardcoded rpath
binary-strip/$(pkg)::
	find $(DEB_DESTDIR)/usr/lib -type f -name '*.so' -exec chrpath -d '{}' ';'

# Needed by upstream build process
bdeps = libglib2.0-dev, python-gtk2-dev, libsm-dev, libice-dev
bdeps +=, libasound2-dev | libasound-dev, gettext, intltool
bdeps +=, libxml-parser-perl

# Needed for our packaging
bdeps +=, chrpath

# Needed (always/often/seldom) at runtime
#  * zip, git and subversion are used in .xo format packaging routines
python-depends = gtk2 dbus gobject cairo telepathy cjson
python-depends += sugar-$(pkgbranch) hippocanvas gconf dateutil rsvg
depends = $(patsubst %,$(comma) python-%,$(python-depends))
recommends = sugar-$(pkgbranch), python-carquinyol-$(pkgbranch)
recommends +=, sugar-presence-service-$(pkgbranch)
recommends +=, python-jarabe-$(pkgbranch), ttf-dejavu-core, unzip
suggests = git-core, subversion, ttf-dejavu-extra

CDBS_BUILD_DEPENDS +=, $(bdeps)
CDBS_DEPENDS_$(pkg) = $(depends)
CDBS_RECOMMENDS_$(pkg) = $(recommends)
CDBS_SUGGESTS_$(pkg) = $(suggests)

# Ensure only one variant is installed at a time (Debian Policy 7.6.2)
CDBS_PROVIDES_$(pkg) = $(pkgbase)
CDBS_CONFLICTS_$(pkg) = $(pkgbase)
CDBS_REPLACES_$(pkg) = $(pkgbase)
